## org.apache.poi.hssf.record
Class RecordFactoryInputStream

    java.lang.Object
      org.apache.poi.hssf.record.RecordFactoryInputStream

    public final class RecordFactoryInputStream

extends java.lang.Object

A stream based way to get at complete records, with as low a memory footprint as possible. This handles reading from a RecordInputStream, turning the data into full records, processing continue records etc. Most users should use `HSSFEventFactory` / `HSSFListener` and have new records pushed to them, but this does allow for a "pull" style of coding.

Constructor Summary
`RecordFactoryInputStream(java.io.InputStream in, boolean shouldIncludeContinueRecords)`

Method Summary
`Record` `nextRecord()` Returns the next (complete) record from the stream, or null if there are no more.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordFactoryInputStream

    public RecordFactoryInputStream(java.io.InputStream in,
                                    boolean shouldIncludeContinueRecords)

Parameters:
  `shouldIncludeContinueRecords` - caller can pass `false` if loose `ContinueRecord`s should be skipped (this is sometimes useful in event based processing).

Method Detail

### nextRecord

    public Record nextRecord()

  Returns the next (complete) record from the stream, or null if there are no more.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.